pluginManagement {
    repositories {
        google {
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        mavenCentral()
        gradlePluginPortal()
        maven {
            url'http://8.134.139.102:8085/repository/wenext-android/'
            credentials {
                username 'admin'
                password 'e405f245-3a0e-4de7-8768-c4c62bdea293'
            }
            allowInsecureProtocol = true//允许 Gradle 使用不安全的协议
        }
        maven { url 'https://jitpack.io' }
        maven { url "https://artifact.bytedance.com/repository/AwemeOpenSDK" }
        //融云 maven 仓库地址
        maven {url "https://maven.rongcloud.cn/repository/maven-releases/"}
        flatDir {
            dirs 'libs'
        }
    }
    plugins {
        id 'com.android.application' version "8.6.1" apply false
    }
    resolutionStrategy {
        eachPlugin {
            if (requested.id.id == "com.tencent.vasdolly") {
                useModule("com.tencent.vasdolly:plugin:${requested.version}")
            }
        }
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()
        maven {
            url'http://8.134.139.102:8085/repository/wenext-android/'
            credentials {
                username 'admin'
                password 'e405f245-3a0e-4de7-8768-c4c62bdea293'
            }
            allowInsecureProtocol = true//允许 Gradle 使用不安全的协议
        }
        maven { url 'https://jitpack.io' }
        maven { url "https://artifact.bytedance.com/repository/AwemeOpenSDK" }
        //融云 maven 仓库地址
        maven {url "https://maven.rongcloud.cn/repository/maven-releases/"}
        flatDir {
            dirs 'libs'
        }
    }
}

rootProject.name = "gami"
include ':app'

include ':frame:room'
include ':frame:oss'

include ':tuicore'
project(':tuicore').projectDir = new File(settingsDir, 'frame/tuikit/TUICore/tuicore')

include ':timcommon'
project(':timcommon').projectDir = new File(settingsDir, 'frame/tuikit/TIMCommon/timcommon')

include ':tuichat'
project(':tuichat').projectDir = new File(settingsDir, 'frame/tuikit/TUIChat/tuichat')

include ':tuicontact'
project(':tuicontact').projectDir = new File(settingsDir, 'frame/tuikit/TUIContact/tuicontact')

include ':tuiconversation'
project(':tuiconversation').projectDir = new File(settingsDir, 'frame/tuikit/TUIConversation/tuiconversation')

include ':tuisearch'
project(':tuisearch').projectDir = new File(settingsDir, 'frame/tuikit/TUISearch/tuisearch')

include ':tuicommunity'
project(':tuicommunity').projectDir = new File(settingsDir, 'frame/tuikit/TUICommunity/tuicommunity')

include ':tuicustomerserviceplugin'
project(':tuicustomerserviceplugin').projectDir = new File(settingsDir, 'frame/tuikit/TUICustomerServicePlugin/tuicustomerserviceplugin')

include ':tuiroomkit'
project(':tuiroomkit').projectDir = new File(settingsDir, 'frame/tuikit/TUIRoomKit/tuiroomkit')

include ':module:profile'
include ':module:account'
include ':module:im'
include ':module:playmate'
include ':module:activity'
include ':module:setting'
include ':module:order'
include ':module:wallet'
include ':module:share'
include ':module:image'

//调试frame框架
//include ':frame:network'
//project(':frame:network').projectDir = new File("D:\\Workspace\\Android\\android-frame\\frame\\network")

//include ':frame:statistics'
//project(':frame:statistics').projectDir = new File("D:\\Workspace\\Android\\android-frame\\frame\\statistics")

//include ':frame:effect'
//project(':frame:effect').projectDir = new File("D:\\Workspace\\Android\\android-frame\\frame\\effect")

//include ':frame:googleservice'
//project(':frame:googleservice').projectDir = new File("D:\\Workspace\\Android\\android-frame\\frame\\googleservice")


//include ':xcrash_lib'
//project(':xcrash_lib').projectDir = new File("third-party-libs/xcrash_lib")
//include ':wenext_jni'
//project(':wenext_jni').projectDir = new File("native/wenext_jni")